新人求助

用django写了一个Websocket聊天室,又写了一个chatbot机器人,这俩单独运行时没毛病。 可是当django调用我的chatbot时候就疯狂报错

下面是我报错信息 Exception in thread django-main-thread: Traceback (most recent call last): File "D:\Anaconda3\lib\site-packages\channels\routing.py", line 28, in get_default_application module = importlib.import_module(path) File "D:\Anaconda3\lib\importlib_init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "<frozen importlib._bootstrap>", line 1030, in _gcd_import File "<frozen importlib._bootstrap>", line 1007, in _find_and_load File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 680, in _load_unlocked File "<frozen importlib._bootstrap_external>", line 850, in exec_module File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed File "C:\Users\Administrator\Desktop\day_up\day_up\asgi.py", line 13, in <module> from . import routiongs File "C:\Users\Administrator\Desktop\day_up\day_up\routiongs.py", line 2, in <module> from . import consumers File "C:\Users\Administrator\Desktop\day_up\day_up\consumers.py", line 4, in <module> from day_up.chatbot.chatbot_eval import input File "C:\Users\Administrator\Desktop\day_up\day_up\chatbot\chatbot_eval.py", line 6, in <module> import day_up.chatbot.chatbot_lib as lib File "C:\Users\Administrator\Desktop\day_up\day_up\chatbot\chatbot_lib.py", line 8, in <module> w_load = pickle.load(open(path,'rb')) ModuleNotFoundError: No module named 'chatbot_sequence'

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "D:\Anaconda3\lib\threading.py", line 973, in _bootstrap_inner self.run() File "D:\Anaconda3\lib\threading.py", line 910, in run self._target(*self._args, self._kwargs) File "D:\Anaconda3\lib\site-packages\django\utils\autoreload.py", line 64, in wrapper fn(*args, kwargs) File "D:\Anaconda3\lib\site-packages\channels\management\commands\runserver.py", line 107, in inner_run application=self.get_application(options), File "D:\Anaconda3\lib\site-packages\channels\management\commands\runserver.py", line 132, in get_application return StaticFilesWrapper(get_default_application()) File "D:\Anaconda3\lib\site-packages\channels\routing.py", line 30, in get_default_application raise ImproperlyConfigured("Cannot import ASGI_APPLICATION module %r" % path) django.core.exceptions.ImproperlyConfigured: Cannot import ASGI_APPLICATION module 'day_up.asgi'

怎么就找不到chatbot_sequence单独运行机器人时候好好的 怎么就找不见asgi我在settings里写的好好的单独运行聊天室完全没毛病

实在搞不定了 求助 多谢

评论 0